2164755 - PHP: How to request port for new PHP version for the PHP module for ASE, sybaseasephp - SAP SDK | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2164755 - PHP: How to request port for new PHP version for the PHP module for ASE, sybaseasephp - SAP SDK

Symptom

  • Install php with version greater than 5.3.6.
  • Run the firstapp.php sample and error occurs:

php firstapp.php
PHP Warning: PHP Startup: sybaseasephp: Unable to initialize module
Module compiled with module API=20090626
PHP compiled with module API=20131226
These options need to match
in Unknown on line 0
Server to connect to (ase_name)?
User name to connect with (sa)?
Password to connect with (zztop)?

Fatal error: Call to undefined function sybase_connect() in /sap/OCS-15_0/sample/php/firstapp.php on line 120


Read more...

Environment

  • SAP Sybase Software Developers Kit (SDK) 15.7
  • SAP Software Developers Kit (SDK) for Adaptive Server Enterprise (ASE) 16.0
  • SAP Adaptive Server Enterprise (ASE) 15.7 and 16.0 
  • php version > 5.3.6 (this is supported version)

Product

SAP Adaptive Server Enterprise 15.7 ; SAP Adaptive Server Enterprise 16.0 ; SAP Adaptive Server Enterprise SDK 16.0 ; Sybase SDK 15.7 ; Sybase Software Developer Kit 15.7

Keywords

apache, httpd, extension, SDK for SAP ASE, CR#720573, CR720573, 720573 , KBA , BC-SYB-SDK , SDK , BC-SYB-ASE , Sybase ASE Database Platform (non Business Suite) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.